// DlgExportPOV.cpp : implementation file
//

#include "stdafx.h"
#include "SurfX3D.h"
#include "DlgExportPOV.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgExportPOV dialog


CDlgExportPOV::CDlgExportPOV(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgExportPOV::IDD, pParent)
{
	m_is_smooth = 1;
	m_is_color  = 1;
	//{{AFX_DATA_INIT(CDlgExportPOV)
	//}}AFX_DATA_INIT
}

// ------------------------------------------------------
void CDlgExportPOV::SetDefaults()
{
	m_is_smooth = 1;
	m_is_color  = 1;
 	UpdateData(FALSE);	// load these values into the dialog
}

/////////////////////////////////////////////////////////////////////////////

void CDlgExportPOV::UpdateDialogState()
{
	// set radio buttons
	CButton	*pBtn;
	// basic triangles
	pBtn = (CButton *)GetDlgItem(IDC_RADIO_POV_BASIC_TRIANGLES);
	if (pBtn) pBtn->SetCheck(!m_is_smooth);
	// smooth triangles
	pBtn = (CButton *)GetDlgItem(IDC_RADIO_POV_SMOOTH_TRIANGLES);
	if (pBtn) pBtn->SetCheck(m_is_smooth);

	// monochrome
	pBtn = (CButton *)GetDlgItem(IDC_RADIO_POV_PIGMENT_MONO);
	if (pBtn) pBtn->SetCheck(!m_is_color);
	// color
	pBtn = (CButton *)GetDlgItem(IDC_RADIO_POV_PIGMENT_COLOR);
	if (pBtn) pBtn->SetCheck(m_is_color);
 	UpdateData(FALSE); // load values into dialog
}

// ------------------------------------------------------
void CDlgExportPOV::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgExportPOV)
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgExportPOV, CDialog)
	//{{AFX_MSG_MAP(CDlgExportPOV)
	ON_WM_PAINT()
	ON_BN_CLICKED(IDC_RADIO_POV_BASIC_TRIANGLES, OnRadioPovBasicTriangles)
	ON_BN_CLICKED(IDC_RADIO_POV_PIGMENT_COLOR, OnRadioPovPigmentColor)
	ON_BN_CLICKED(IDC_RADIO_POV_PIGMENT_MONO, OnRadioPovPigmentMono)
	ON_BN_CLICKED(IDC_RADIO_POV_SMOOTH_TRIANGLES, OnRadioPovSmoothTriangles)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgExportPOV message handlers

BOOL CDlgExportPOV::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// initialize data
	SetDefaults();
	// update dialog to reflect state
	UpdateDialogState();
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

// ------------------------------------------------------
void CDlgExportPOV::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	UpdateDialogState();
}

// ------------------------------------------------------
void CDlgExportPOV::OnRadioPovBasicTriangles() 
{
	m_is_smooth = 0;
	UpdateDialogState();
}

// ------------------------------------------------------
void CDlgExportPOV::OnRadioPovSmoothTriangles() 
{
	m_is_smooth = 1;
	UpdateDialogState();
}

// ------------------------------------------------------
void CDlgExportPOV::OnRadioPovPigmentMono() 
{
	m_is_color = 0;
	UpdateDialogState();
}

// ------------------------------------------------------
void CDlgExportPOV::OnRadioPovPigmentColor() 
{
	m_is_color = 1;
	UpdateDialogState();
}

// ------------------------------------------------------
